Commit 787dc4c9 authored by Vincent Untz's avatar Vincent Untz
Browse files

build: explicitly link to xrandr

https://bugzilla.gnome.org/show_bug.cgi?id=629562
parent ad0897b8
......@@ -235,11 +235,9 @@ AC_SUBST(X_LIBS)
dnl X RANDR extension
if $PKG_CONFIG --exists "xrandr >= 1.2.0" ; then
AC_DEFINE(HAVE_RANDR, 1, [Have the Xrandr extension library])
have_randr=yes
else
have_randr=no
PKG_CHECK_MODULES(XRANDR, xrandr >= 1.2.0, have_randr=yes, have_randr=no)
if test "x$have_randr" = "xyes"; then
AC_DEFINE(HAVE_RANDR, 1, [Have the Xrandr extension library])
fi
dnl Modules dir
......
......@@ -19,6 +19,7 @@ INCLUDES = \
-DGMENU_I_KNOW_THIS_IS_UNSTABLE \
$(DISABLE_DEPRECATED_CFLAGS) \
$(PANEL_CFLAGS) \
$(XRANDR_CFLAGS) \
$(WARN_CFLAGS) \
$(NULL)
......@@ -152,6 +153,7 @@ gnome_panel_LDADD = \
$(top_builddir)/gnome-panel/libpanel-applet-private/libpanel-applet-private.la \
$(top_builddir)/gnome-panel/libpanel-util/libpanel-util.la \
$(PANEL_LIBS) \
$(XRANDR_LIBS) \
$(X_LIBS)
gnome_panel_LDFLAGS = -export-dynamic
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment